Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.section.model.provider
Class SectionItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.emf.ecp.view.spi.section.model.util.SectionAdapterFactory
              org.eclipse.emf.ecp.view.spi.section.model.provider.SectionItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IChildCreationExtender, org.eclipse.emf.edit.provider.IDisposable

    public class SectionItemProviderAdapterFactory

extends SectionAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IChildCreationExtender

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Nested Class Summary
`static class` | `SectionItemProviderAdapterFactory.ViewChildCreationExtender` A child creation extender for the `VViewPackage`.

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender
`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

Constructor Summary
`SectionItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, Object type)` This implementation substitutes the factory itself as the key for the adapter.
`Object` | `adapt(Object object, Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` | `createSectionAdapter()` This creates an adapter for a `VSection`.
`org.eclipse.emf.common.notify.Adapter` | `createSectionedAreaAdapter()` This creates an adapter for a `VSectionedArea`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`List<org.eclipse.emf.edit.provider.IChildCreationExtender>` | `getChildCreationExtenders()`
`Collection<?>` | `getNewChildDescriptors(Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.eclipse.emf.ecp.view.spi.section.model.util.SectionAdapterFactory
`createAdapter, createContainedElementAdapter, createContainerAdapter, createElementAdapter, createEObjectAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Constructor Detail

### SectionItemProviderAdapterFactory

    public SectionItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createSectionedAreaAdapter

    public org.eclipse.emf.common.notify.Adapter createSectionedAreaAdapter()

  This creates an adapter for a `VSectionedArea`.

  Overrides:
    `createSectionedAreaAdapter` in class `SectionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `VSectionedArea`

### createSectionAdapter

    public org.eclipse.emf.common.notify.Adapter createSectionAdapter()

  This creates an adapter for a `VSection`.

  Overrides:
    `createSectionAdapter` in class `SectionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `VSection`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `SectionAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public Object adapt(Object object,
                        Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### getChildCreationExtenders

    public List<org.eclipse.emf.edit.provider.IChildCreationExtender> getChildCreationExtenders()

### getNewChildDescriptors

    public Collection<?> getNewChildDescriptors(Object object,
                                                org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Specified by:
    `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.